Help getting Xenogears to work?

Discussion in 'PSP - Games & Content' started by mrdrew_champloo, May 11, 2012.

May 11, 2012
  1. mrdrew_champloo
    OP

    Newcomer mrdrew_champloo Member

    Joined:
    Nov 4, 2009
    Messages:
    35
    Country:
    United States
    Hey, guys. I've been off the scene for awhile. I'm currently running CFW 6.60 PRO- B7. I'm attempting to run a Xenogears eboot but it freezes shortly after starting the game, before any gameplay begins. Any ideas on what I can do to get this working asap?

    Thanks!
     
  2. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    PSN version or one you made yourself? I've finished Xenogears on my PSP so i know it works, although there's still a slight problem with a late game freeze potentially occurring (...it's still immensely tedious and overhyped...)
     
  3. mrdrew_champloo
    OP

    Newcomer mrdrew_champloo Member

    Joined:
    Nov 4, 2009
    Messages:
    35
    Country:
    United States
    One I made myself. It's all combined into a single eboot so I wouldn't have to bother switching disks. Should I change firmware? This is all I'm really interested in playing right now.
     
  4. xist

    Member xist ΚΑΤΑ ΤΟΝ ΔΑΙΜΟΝΑ ΕΑΥΤΟΥ

    Joined:
    Jul 14, 2008
    Messages:
    5,861
    Country:
    United Kingdom
    It works fine if you use Popsloader.and select the 3.71 option. As i said, i finished it, ripping from my own discs into a single eboot, and aside from almost dying of tedium i finished the game without issue.
     
  5. mrdrew_champloo
    OP

    Newcomer mrdrew_champloo Member

    Joined:
    Nov 4, 2009
    Messages:
    35
    Country:
    United States
    Ah, that could be my problem. Believe it or not I've never had the need to put Popsloader on my PSP. I'll give that a shot. Thanks!
     
  6. PiadasLituanas

    Newcomer PiadasLituanas Member

    Joined:
    Oct 3, 2012
    Messages:
    20
    I tried POPSLoader 3.71 and it crashed before it even showed the PSX logo. Looks like I'm even worse off now.

    In the POPSLoader guide it says it doesn't work with PSP3000 4g to 9g

    How do I know which 'g' my PSP is?
     

Share This Page